
Katello - Bug #5719

[Dynflow] Add support for canceling actions

05/14/2014 02:09 PM - Justin Sherrill

Status: Closed   

Priority: High   

Assignee: Ivan Necas   

Category: Orchestration   

Target version: Katello 2.0   

Difficulty:  Fixed in Releases:  

Triaged: Yes Found in Releases:  

Bugzilla link: 1105124 Red Hat JIRA:  

Pull request:    

Description

Users need the ability to cancel actions such as sync and repo discovery.

Associated revisions

Revision 3ed2454b - 06/10/2014 01:30 PM - Ivan Necas

Fixes #5719 - make pulp async actions cancellable

The cancelling is done though the task details: running steps tab

Revision 537686c6 - 06/16/2014 12:43 PM - Ivan Necas

Fixes #5719 - poll directly after sending the cancel

Revision 3e6e0776 - 06/19/2014 07:00 AM - Ivan Necas

Merge pull request #4238 from iNecas/issue/5719

Fixes #5719 - make pulp async actions cancellable

History

#1 - 06/05/2014 12:21 AM - Eric Helms

- Target version set to 45

- Triaged changed from No to Yes

#2 - 06/05/2014 12:50 PM - Ivan Necas

- Status changed from New to Assigned

#3 - 06/05/2014 12:51 PM - Ivan Necas

- Bugzilla link set to https://bugzilla.redhat.com/show_bug.cgi?id=1105124

#4 - 06/06/2014 10:51 AM - Ivan Necas

- Assignee set to Ivan Necas

#5 - 06/16/2014 12:09 PM - Eric Helms

- Target version changed from 45 to 48

#6 - 06/19/2014 07:52 AM - Ivan Necas

- Status changed from Assigned to Closed

- % Done changed from 0 to 100

Applied in changeset katello|commit:3ed2454b0b71724329befab2ecd4f7e4ed054c76.
#7 - 08/22/2014 08:24 AM - Eric Helms

- translation missing: en.field_release set to 13
